// 运行时配置

import React from 'react';
import {
  LayoutConfig,
  MyRootContainer,
  requestConfig,
  stateActions,
} from './common';

export const request = requestConfig;

export async function getInitialState(): Promise<any> {
  return await stateActions.me();
}

export const layout = LayoutConfig;

export function rootContainer(container: React.ReactNode) {
  return React.createElement(MyRootContainer, null, container);
}
